db-torque-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Thomas Mandl" <ma...@mandl-thomas.at>
Subject Problems runing the Torque tutorial for version 3.2 with MySQL 5.0.19
Date Tue, 11 Apr 2006 17:32:24 GMT
Hello!

I´ve gone through the Torque tutorial for version 3.2 with MySQL 5.0.19.

There were no problems till step 6, when i tried to run the demo app:
java -cp classes;lib/avalon-framework-4.1.4.jar;lib/commons-beanutils-1.7.0.jar;lib/commons-collections-3.1.jar;lib/commons-configuration-1.1.jar;lib/commons-dbcp-1.2.1.jar;lib/commons-lang-2.1.jar;lib/commons-logging-1.0.4.jar;lib/commons-pool-1.2.jar;lib/jcs-20030822.182132.jar;lib/mysql-connector-java-3.1.6-bin.jar;lib/torque-3.2.jar;lib/village-2.0.jar
com.kazmier.Bookstore

The following error occired:
SCHWERWIEGEND: Property: driver value: com.mysql.jdbc.Driver is not supported by DataSource:
org.apache.commons.dbcp.cpdsadapter.DriverAdapterCPDS
11.04.2006 19:19:41 org.apache.torque.oid.IDBroker <init>
WARNUNG: IDBroker is being used with db 'bookstore', which does not support transactions.
IDBroker attempts to use transactions to limit the possibility of duplicate key generation.
 Without transactions, duplicate key generation is possible if multiple JVMs are used or other
means are used to write to the database.org.apache.torque.TorqueException: java.sql.SQLException:
No suitable driver

I´m using the driver com.mysql.jdbc.Driver instead of org.gjt.mm.mysql.Driver:

project.properties file:
  # The JDBC database driver to use when connecting to your database.
  torque.database.driver = org.gjt.mm.mysql.Driver

project.xml file:
    <dependency>
      <artifactId>mysql-connector-java</artifactId>
      <groupId>mysql</groupId>
      <version>3.1.12-bin</version>
    </dependency>

Can anyone help me please?
Thank you very much!

Greetings,
Thomas
Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message